Skip to main content
GET
/
employees
Get company employees
curl --request GET \
  --url https://openapi.pleo.io/v1/employees \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "pageInfo": {
      "pageSize": 123,
      "totalCount": 123,
      "nextPageOffset": 123
    }
  },
  "employees": [
    {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "jobTitle": "<string>",
      "role": "<string>",
      "phone": "<string>",
      "avatar": {
        "url": "<string>"
      },
      "code": "<string>",
      "teamId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.pleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Open API Bearer token

Query Parameters

pageOffset
number

This is the pagination offset value. The record number you would like to start from. This offset value starts at 0.

Example:

"150"

pageSize
number

The number of employees to return for each page.

Example:

"10"

Response

Employees has been returned

metadata
object
required

Additional metadata including pagination information

employees
object[]